<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="HSH_LOG" />
    <option name="TOOL_WINDOW_LOG_LEVEL" value="verbose" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="68b53676-d4c7-42e1-bd08-3ae89ce2b5b7" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-1704970469">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="6" />
          <entry key="project.open.time.14" value="1" />
          <entry key="project.open.time.21" value="1" />
          <entry key="project.open.time.22" value="1" />
          <entry key="project.open.time.24" value="1" />
          <entry key="project.open.time.25" value="1" />
          <entry key="project.open.time.3" value="2" />
          <entry key="project.opened" value="7" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="2" />
          <entry key="cpp" value="10" />
          <entry key="gradle" value="1" />
          <entry key="h" value="13" />
          <entry key="hpp" value="3" />
          <entry key="java" value="4" />
          <entry key="so" value="2" />
          <entry key="txt" value="4" />
          <entry key="xml" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="2" />
          <entry key="CMakeLists.txt" value="4" />
          <entry key="Groovy" value="1" />
          <entry key="JAVA" value="4" />
          <entry key="ObjectiveC" value="26" />
          <entry key="PLAIN_TEXT" value="2" />
          <entry key="XML" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="cpp" value="1778" />
          <entry key="dummy" value="11" />
          <entry key="gradle" value="34" />
          <entry key="h" value="5" />
          <entry key="hpp" value="1" />
          <entry key="java" value="605" />
          <entry key="txt" value="1034" />
          <entry key="xml" value="42" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="CMakeLists.txt" value="1030" />
          <entry key="Groovy" value="34" />
          <entry key="JAVA" value="605" />
          <entry key="ObjectiveC" value="1784" />
          <entry key="PLAIN_TEXT" value="15" />
          <entry key="XML" value="42" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/org/fmod/example/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2192">
              <caret line="149" column="24" selection-start-line="149" selection-start-column="24" selection-end-line="149" selection-end-column="24" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/cpp/play_sound.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="169">
              <caret line="29" selection-start-line="29" selection-end-line="29" />
              <folding>
                <element signature="e#565#588#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/org/fmod/example/QQActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="461">
              <caret line="30" column="39" selection-start-line="30" selection-start-column="39" selection-end-line="30" selection-end-column="39" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/cpp/CMakeLists.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="361">
              <caret line="19" column="23" selection-start-line="19" selection-start-column="23" selection-end-line="19" selection-end-column="23" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/org/fmod/example/VoiceUtil.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="482">
              <caret line="33" column="30" selection-start-line="33" selection-start-column="30" selection-end-line="33" selection-end-column="30" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod.hpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="344" column="10" selection-start-line="344" selection-start-column="10" selection-end-line="344" selection-end-column="10" />
              <folding>
                <element signature="e#620#644#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/cpp/native-lib.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1002">
              <caret line="12" column="23" lean-forward="true" selection-start-line="12" selection-start-column="23" selection-end-line="12" selection-end-column="23" />
              <folding>
                <element signature="e#2#25#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod_dsp_effects.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="297">
              <caret line="713" column="6" selection-start-line="713" selection-start-column="6" selection-end-line="713" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="layoutResourceFile_vertical" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>set_target_properties</find>
      <find>libfmod</find>
      <find>Java_com_hsh_qq_1voicer_MainActivity_getButtonLabel</find>
      <find>splits</find>
      <find>VOICE</find>
      <find>FMOD_DSP_TYPE_PITCHSHIFT</find>
      <find>FMOD_DSP_TYPE_ECHO</find>
      <find>FMOD_DSP_TYPE_TREMOLO</find>
    </findStrings>
    <replaceStrings>
      <replace>MODE</replace>
    </replaceStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/cpp/play_sound.cpp" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/common.h" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/common.cpp" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/hsh/qq_voicer/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/java/org/fmod/example/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/native_lib.h" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_qq_layout.xml" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/common_platform.cpp" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/native_lib.cpp" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/inc/fmod.hpp" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/effects.cpp" />
        <option value="$PROJECT_DIR$/app/src/main/java/org/fmod/example/VoiceUtil.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/org/fmod/example/QQActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/cpp/native-lib.cpp" />
      </list>
    </option>
  </component>
  <component name="OCFindUsagesOptions" text="true" ivars="false" properties="true" derivedClasses="false" />
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="752" />
    <option name="y" value="2" />
    <option name="width" value="1940" />
    <option name="height" value="1050" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <hideEmptyPackages ProjectPane="true" />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView">
        <subPane>
          <expand>
            <path>
              <item name="QQ_Voicer" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
              <item name="qq_voicer" type="cbb59c9e:AndroidPsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="cpp" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="example" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="QQ_Voicer" type="b2602c69:ProjectViewProjectNode" />
              <item name="QQ_Voicer" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="res" type="462c0819:PsiDirectoryNode" />
              <item name="layout" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DEBUGGABLE_DEVICE" value="huawei-par_al00-FJH5T18817010986" />
    <property name="DEBUGGABLE_PROCESS" value="org.fmod.example" />
    <property name="DEBUGGER_ID" value="Auto" />
    <property name="SHOW_ALL_PROCESSES" value="false" />
    <property name="android.project.structure.last.selected" value="app" />
    <property name="android.project.structure.proportion" value="0.15" />
    <property name="android.sdk.path" value="$USER_HOME$/AppData/Local/Android/Sdk" />
    <property name="device.picker.selection" value="FJH5T18817010986" />
    <property name="last_opened_file_path" value="H:/FmodDemo" />
    <property name="settings.editor.selected.configurable" value="configurable.group.appearance" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="H:\ndk_workplace\QQ_Voicer\app\src\main\cpp" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="H:\ndk_workplace\QQ_Voicer\app\src\main\assets" />
      <recent name="H:\ndk_workplace\QQ_Voicer\app\src\main" />
      <recent name="H:\ndk_workplace\QQ_Voicer\app\src\main\cpp" />
      <recent name="H:\ndk_workplace\QQ_Voicer\app\libs" />
      <recent name="H:\ndk_workplace\QQ_Voicer\app" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="&lt;template&gt;" type="Applet" default="true" selected="false">
      <option name="MAIN_CLASS_NAME" />
      <option name="HTML_FILE_NAME" />
      <option name="HTML_USED" value="false" />
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <option name="VM_PARAMETERS" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
      <method />
    </configuration>
    <configuration name="&lt;template&gt;" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" default="true" selected="false">
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
    </configuration>
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="68b53676-d4c7-42e1-bd08-3ae89ce2b5b7" name="Default Changelist" comment="" />
      <created>1552188729645</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1552188729645</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.18632708" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info anchor="bottom" id="Version Control" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Logcat" order="1" weight="0.37536657" />
      <window_info anchor="bottom" id="TODO" order="2" />
      <window_info anchor="bottom" id="Terminal" order="3" />
      <window_info anchor="bottom" id="Event Log" order="4" side_tool="true" />
      <window_info anchor="bottom" id="Build" order="5" weight="0.32991204" />
      <window_info anchor="bottom" id="Android Profiler" order="6" />
      <window_info anchor="bottom" id="Run" order="7" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.4809384" />
      <window_info anchor="bottom" id="Find" order="9" weight="0.32991204" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Preview" order="5" weight="0.3297587" />
    </layout>
    <layout-to-restore>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info content_ui="combo" id="Project" order="1" weight="0.1816354" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info anchor="bottom" id="Version Control" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Logcat" order="1" weight="0.37536657" />
      <window_info anchor="bottom" id="TODO" order="2" />
      <window_info anchor="bottom" id="Terminal" order="3" />
      <window_info anchor="bottom" id="Event Log" order="4" side_tool="true" />
      <window_info active="true" anchor="bottom" id="Build" order="5" visible="true" weight="0.32991204" />
      <window_info anchor="bottom" id="Android Profiler" order="6" />
      <window_info anchor="bottom" id="Run" order="7" />
      <window_info anchor="bottom" id="Debug" order="8" weight="0.4809384" />
      <window_info anchor="bottom" id="Find" order="9" weight="0.32991204" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Preview" order="5" weight="0.3297587" />
    </layout-to-restore>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="text-editor" />
      <provider selected="true" editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/common_platform.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-32" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod_codec.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-228" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/armeabi/libfmod.so" />
    <entry file="jar://$USER_HOME$/AppData/Local/Android/Sdk/platforms/android-26/android.jar!/java/lang/System.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1387">
          <caret line="120" column="23" selection-start-line="120" selection-start-column="23" selection-end-line="120" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="627">
          <caret line="33" column="1" selection-start-line="33" selection-start-column="1" selection-end-line="33" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod_dsp.h">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/common.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="722">
          <caret line="38" column="23" selection-start-line="38" selection-start-column="23" selection-end-line="38" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/native_lib.h" />
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_qq_layout.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="10" column="27" lean-forward="true" selection-start-line="10" selection-start-column="27" selection-end-line="10" selection-end-column="27" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/common.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="133">
          <caret line="53" column="8" selection-start-line="53" selection-start-column="8" selection-end-line="53" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/AppData/Local/Android/Sdk/ndk-bundle/sysroot/usr/include/android/log.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="202">
          <caret line="83" column="2" selection-start-line="83" selection-start-column="2" selection-end-line="83" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/AppData/Local/Android/Sdk/platforms/android-26/android.jar!/android/content/res/AssetFileDescriptor.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="34" column="26" selection-start-line="34" selection-start-column="26" selection-end-line="34" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="76">
          <caret line="4" column="78" selection-start-line="4" selection-start-column="78" selection-end-line="4" selection-end-column="78" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/common_platform.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="134" column="54" selection-start-line="134" selection-start-column="54" selection-end-line="134" selection-end-column="54" />
          <folding>
            <element signature="e#243#262#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod_common.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="202">
          <caret line="935" column="8" selection-start-line="935" selection-start-column="8" selection-end-line="935" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/effects.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-152">
          <caret line="89" column="38" selection-start-line="89" selection-start-column="38" selection-end-line="89" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="19" column="23" selection-start-line="19" selection-start-column="23" selection-end-line="19" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="344" column="10" selection-start-line="344" selection-start-column="10" selection-end-line="344" selection-end-column="10" />
          <folding>
            <element signature="e#620#644#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/inc/fmod_dsp_effects.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="713" column="6" selection-start-line="713" selection-start-column="6" selection-end-line="713" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/play_sound.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="29" selection-start-line="29" selection-end-line="29" />
          <folding>
            <element signature="e#565#588#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/org/fmod/example/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2192">
          <caret line="149" column="24" selection-start-line="149" selection-start-column="24" selection-end-line="149" selection-end-column="24" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/org/fmod/example/QQActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="461">
          <caret line="30" column="39" selection-start-line="30" selection-start-column="39" selection-end-line="30" selection-end-column="39" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/org/fmod/example/VoiceUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="482">
          <caret line="33" column="30" selection-start-line="33" selection-start-column="30" selection-end-line="33" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/cpp/native-lib.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1002">
          <caret line="12" column="23" lean-forward="true" selection-start-line="12" selection-start-column="23" selection-end-line="12" selection-end-column="23" />
          <folding>
            <element signature="e#2#25#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>